#include "lotromanager.h"
#include "app.h"
#include "filesystem.h"

LotroManager::LotroManager(QObject *parent) : QObject(parent)
{

}

void LotroManager::startGame(){
    App *app = &App::getInstance();
    app->config->saveAllDatFiles();
    QStringList args;
    args << "-skiprawdownload" << "-nosplash";
    if (dat_locale == PATCHED)
        args << "-disablePatch";

    QFile f(app->config->getValue("Local", "folder") + "/TurbineLauncher.exe");
    QProcess process;
    if(FileSystem::fileExists(f.fileName())){
        if(f.fileName().contains(" ")) f.setFileName("\"" + f.fileName() + "\"");
        process.startDetached(f.fileName(), args);
        process.waitForFinished(-1);
        process.deleteLater();
        QApplication::quit();
    } else {
        QString text = "Запуск не удался";
        QString info = "Не удалось запустить игру. Во время запуска произшла непредвиденная ошибка (возможно, не найден файл TurbineLauncher.exe в папке с игрой. Проверьте в 'Настройках', что у вас указан верный путь к игре, и повторите попытку запуска).";
        app->helper->myDialogBox(text, info, "OK", "Отмена", "gandalf.png", "", "", 400, 160, true, false);
    }
}
