#ifndef LOTROMANAGER_H
#define LOTROMANAGER_H

#include <QObject>

#include <LotroDat.h>

class LotroManager : public QObject
{
    Q_OBJECT
private:
    explicit LotroManager(QObject *parent = nullptr);

public:
    static LotroManager& getInstance() {
       static LotroManager instance;
       return instance;
    }

    void startGame();

    bool openDatFile(int id);

    void closeDatFile(int id);

    void applyPatch(QString name);

    void applyGlobal();

    bool isDatReady();

    int checkDatFile();

    void applyMicroPatch();

    void applyLoadscreens();

private:
    void processFile();

    void installMicroPatch();

    void prepareMicroPatch();


private:
    LOTRO_DAT::LOCALE dat_locale_;

signals:

public slots:
};

#endif // LOTROMANAGER_H
